textures/a_wingrun_egypt/ter_sand
{
    qer_editorImage textures/temperate_sd/sand_bubbles_bright.tga
    q3map_nonPlanar
    q3map_shadeAngle 120
    q3map_lightmapMergable
    surfaceparm gravelsteps
    {
        map textures/temperate_sd/sand_bubbles_bright.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/a_wingrun_egypt/ter_rock_grey2_sand_blend
{
    qer_editorImage textures/a_wingrun_egypt/ei/ter_rock_grey2_sand_blend.jpg
    q3map_nonPlanar
    q3map_shadeAngle 120
    q3map_lightmapMergable
    surfaceparm gravelsteps
    {
        map textures/terrain_soc/rock_grey2.tga
        rgbGen identity
    }
	{
		map textures/temperate_sd/sand_bubbles_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/a_wingrun_egypt/rock_grey
{
	qer_editorimage textures/terrain_soc/rock_grey2.tga
	q3map_nonplanar
	q3map_shadeAngle 120
    q3map_lightmapMergable	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/a_wingrun_egypt/rock_greyvine
{
	qer_editorimage textures/terrain_soc/rock_grey2vine.tga
	q3map_nonplanar
	q3map_shadeAngle 120
    q3map_lightmapMergable	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey2vine.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/a_wingrun_egypt/rock_greyvine_blend
{
	qer_editorimage textures/terrain_soc/rock_grey2vine_blend.tga
	q3map_nonplanar
	q3map_shadeAngle 120
    q3map_lightmapMergable
	{
		map textures/terrain_soc/rock_grey2.tga
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey2vine.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/a_wingrun_egypt/fog
{
    qer_editorImage textures/a_wingrun_egypt/flashPerlin.jpg
    qer_trans 0.3
    surfaceparm trans
    surfaceparm nonsolid
    cull none
    q3map_tessSize 1024
    {
        map textures/a_wingrun_egypt/flashPerlin.jpg
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen vertex
        rgbGen const ( 0.1 0.1 0.1 )
        tcMod scale 0.25 0.25
        tcMod scroll 0.01 0.02
        depthWrite
    }
    {
        map textures/a_wingrun_egypt/flashPerlin.jpg
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen vertex
        rgbGen const ( 0.15 0.15 0.15 )
        tcMod scale 0.5 0.5
        tcMod scroll 0.012 -0.01
        depthWrite
    }
    {
        map textures/a_wingrun_egypt/flashPerlin.jpg
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen vertex
        rgbGen const ( 0.1 0.1 0.1 )
        tcMod scale 0.25 0.25
		tcMod turb 0 0.2 0 0.05
        depthWrite
    }
    {
        map textures/a_wingrun_egypt/flashPerlin.jpg
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen vertex
        rgbGen const ( 0.05 0.05 0.05 )
        tcMod scale 0.5 0.5
		tcMod turb 0 0.15 0.2 0.075
        depthWrite
    }
}

textures/a_wingrun_egypt/sb_graveyard
{
	qer_editorimage env/sb_graveyard/grave_ft.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_sunExt 0.934 0.956 1.00 75 0 50 5 32
    q3map_lightmapFilterRadius 0 8
    q3map_skyLight 80 8
	skyparms env/sb_graveyard/grave - -
}

textures/a_wingrun_egypt/fogtest
{
	qer_editorimage textures/sfx/fog_grey1.tga
    q3map_fogDir ( 0 0 1 )
	fogparms ( 0.6 0.65 7 ) 5000
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/a_wingrun_egypt/xbluefogx128
{
	qer_editorimage textures/sfx/fog_grey1.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.3 0.3 0.9 ) 128
    q3map_fogDir ( 0 1 0 )
    {
        alphaGen const 0.5
        depthWrite
    }

}
textures/a_wingrun_egypt/magma
{
    qer_editorimage textures/a_wingrun_egypt/lava.tga

    surfaceparm lava
    surfaceparm nodlight
    surfaceparm nodrop
    surfaceparm nomarks
    surfaceparm nosteps
    q3map_surfacelight 150
    q3map_bouncescale 0.1
    tessSize 256
    
    {
        map textures/a_wingrun_egypt/lava.tga
        tcMod turb 0 0.1 0 0.05
        tcMod scroll -0.1 -0.1
    }
    {
        map textures/a_wingrun_egypt/lava3.tga
        blendfunc add
        tcMod scroll -0.1 -0.175
    }

    {
        map textures/a_wingrun_egypt/lava2.tga
        blendfunc filter
        tcMod scroll -0.1 -0.025
    }
}